---
title: Update an install
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/updateinstall/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/updateinstall.png
---

# Update an install

PATCH

/installs/{install_id}

Select code sample

```sh
curl --request PATCH \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0 \
  --header 'Authorization: Basic <credentials>' \
  --header 'Content-Type: application/json' \
  --data '{ "site_id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d", "environment": "development" }'
```

-

Updates the install’s site and environment type.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

The install ID

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

## Request Bodyrequired

##### Properties

- site_id - **optional** - The ID of the site that the install will belong to *(For accounts with sites enabled)*
- environment - **optional** - The site environment that the install will fill *(For accounts with sites enabled)*

Media typeapplication/json

object

**site_id**

The site ID

string format: uuid

### Example

```
28c78b6d-c2da-4f09-85f5-1ad588089b2d
```

**environment**

string

nullable

Allowed values: production staging development

### Example

```json
{
  "site_id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d",
  "environment": "development"
}
```

## Responses

### 200

Returns the updated `Installation` object.

Media typeapplication/json

object

**id**

required

string format: uuid

**name**

required

string

/^\[a-z]\[a-z0-9]{2,13}$/

**account**

required

object

**id**

The account ID

string format: uuid

**php_version**

required

The PHP version used to run WordPress (read-only)

string

nullable

**status**

string

Allowed values: active pending

**site**

object

**id**

string format: uuid

**cname**

Returns the CNAME of the install

string

**stable_ips**

A list of stable IPs bound to the install. This will only apply to some premium/enterprise plans

Array\<string>

nullable

**environment**

string

nullable

Allowed values: production staging development

**primary_domain**

The primary domain for the install.

string

nullable

**is_multisite**

boolean

nullable

**created_at**

The date and time the install was created in UTC.

string format: date-time

**wp_version**

The WordPress version installed on the install. Only returned when requesting an individual install.

string

nullable

**defer_wordpress_upgrades_until**

If set, automatic WordPress core major updates will be deferred until this date. Only returned when requesting an individual install.

string format: date-time

nullable

#### Example

```json
{
  "id": "294deacc-d8b8-4005-82c4-0727ba8ddde0",
  "name": "torquemag",
  "account": {
    "id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9"
  },
  "php_version": "7.0",
  "status": "active",
  "site": {
    "id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d"
  },
  "cname": "mywebsite.wpengine.com",
  "stable_ips": [
    "1.2.3.2",
    "1.1.1.2"
  ],
  "environment": "production",
  "primary_domain": "mywebsite.wpengine.com",
  "is_multisite": false,
  "created_at": "2025-06-12T09:56:42.386Z",
  "wp_version": "6.8.1",
  "defer_wordpress_upgrades_until": "2025-12-31T23:59:59.999Z"
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
